%define python %([ -z $PYTHON ] && echo python1.5 || echo $PYTHON)
%define srcstatus -beta1
Summary: Python Driver for PostgreSQL
Name: PoPy-%{python}
Version: 3.0
Release: 3
Copyright: GPL
Group: Applications/Databases
Source: http://ftp1.sourceforge.net/popy/PoPy-%{version}%{srcstatus}.tar.gz
URL: http://sourceforge.net/projects/popy
BuildRoot: /var/tmp/%{name}-buildroot

%description
This is PoPy, a driver for PostGresql v7.x
to use with python (www.python.org), release under the GNU GPL license.

Features:
--------

* DB API v2.0 compliant (http://www.python.org/topics/database/DatabaseAPI-2.0.html)
* Thread safety level 2
* Support for large objects and date objects 
* External and internal database procedure call

%prep
%setup -n PoPy-%{version}%{srcstatus}

%build
./configure --prefix=/usr \
	    --with-python-version=`echo %{python} | sed 's/python//'` \
	    --with-python=/usr/bin/%{python} \
	    --with-postgres-includes=/usr/include/pgsql
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{python}/site-packages
install -m 555 PoPy.so $RPM_BUILD_ROOT%{_libdir}/%{python}/site-packages/PoPy.so

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/PoPy-%{version}%{srcstatus}

%files
%defattr(-,root,root)
%doc README COPYING INSTALL AUTHORS
%{_libdir}/%{python}/site-packages/PoPy.so

%changelog
* Mon Apr 30 2001 Mirko Zeibig <mirko@picard.inka.de>
- You may rebuild the SRC-rpm for newer version of python with:
  env PYTHON=pythonXX rpm --rebuild PoPy-3.0-beta1.src.rpm
  This will default to python1.5
- Versions for different pythons may be installed.
- Rebuilt for PostgreSQL 7.1 (final)
* Thu Mar 08 2001 Brent R. Matzelle <bmatzelle@yahoo.com>
- Initial RPM release
